com.gen2wave.rp1600.sdk.finger

## Class DESUtil

- java.lang.Object
- - com.gen2wave.rp1600.sdk.finger.DESUtil

-     public class DESUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALGORITHM_DES`
    `static java.lang.String` | `ALGORITHM_TDES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DESUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decryptByte(byte[] byteD, byte[] key)`
    `static byte[]` | `encryptByte(byte[] byteS, byte[] key)`
    `static byte[]` | `triDecryptByte(byte[] byteS, byte[] key)`
    `static byte[]` | `triEncryptByte(byte[] byteS, byte[] key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALGORITHM_DES

          public static final java.lang.String ALGORITHM_DES

      See Also:
        Constant Field Values

    - #### ALGORITHM_TDES

          public static final java.lang.String ALGORITHM_TDES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DESUtil

          public DESUtil()

  - ### Method Detail

    - #### encryptByte

          public static byte[] encryptByte(byte[] byteS,
                                           byte[] key)

    - #### decryptByte

          public static byte[] decryptByte(byte[] byteD,
                                           byte[] key)

      Parameters:
        `byteD` -
      Returns:

    - #### triEncryptByte

          public static byte[] triEncryptByte(byte[] byteS,
                                              byte[] key)

    - #### triDecryptByte

          public static byte[] triDecryptByte(byte[] byteS,
                                              byte[] key)